## python-django 1.7.11

=== debian/changelog ===
python-django (1.7.11-1+deb8u10) jessie-security; urgency=high

  * Fix a regression in the handling of CVE-2020-13254 regarding malformed
    cache keys. See:

      https://code.djangoproject.com/ticket/31654

    ... for more information.

 -- Chris Lamb <lamby@debian.org>  Fri, 12 Jun 2020 11:05:17 +0100

python-django (1.7.11-1+deb8u9) jessie-security; urgency=medium

  * CVE-2020-13254: Potential a data leakage via malformed memcached keys.

    In cases where a memcached backend does not perform key validation, passing
    malformed cache keys could result in a key collision, and potential data
    leakage. In order to avoid this vulnerability, key validation is added to
    the memcached cache backends.

  * CVE-2020-13596: Possible XSS via admin ForeignKeyRawIdWidget.

    Query parameters to the admin ForeignKeyRawIdWidget were not properly URL
    encoded, posing an XSS attack vector. ForeignKeyRawIdWidget now ensures
    query parameters are correctly URL encoded.

  For more information, please see:
  <https://www.djangoproject.com/weblog/2020/jun/03/security-releases/>.

  * Fix up test failures introduced in 1.7.11-1+deb8u3 via the fix for
    CVE-2018-7537.
  * Fix up test failures introduced in 1.7.11-1+deb8u8 via the fix for
    CVE-2019-19844.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Jun 2020 16:17:33 +0100

python-django (1.7.11-1+deb8u8) jessie-security; urgency=high

  * CVE-2019-19844: Prevent a potential account hijack via the password reset
    form. (Closes: #946937)

    Django's password-reset form uses a case-insensitive query to retrieve
    accounts matching the email address requesting the password reset. Because
    this typically involves explicit or implicit case transformations, an
    attacker who knows the email address associated with a user account can
    craft an email address which is distinct from the address associated with
    that account, but which -- due to the behavior of Unicode case
    transformations -- ceases to be distinct after case transformation, or
    which will otherwise compare equal given database case-transformation or
    collation behavior. In such a situation, the attacker can receive a valid
    password-reset token for the user account. To resolve this, two changes
    were made in Django:

    - After retrieving a list of potentially-matching accounts from the
      database, Django's password reset functionality now also checks the email
      address for equivalence in Python, using the recommended
      identifier-comparison process from Unicode Technical Report 36, section
      2.11.2(B)(2).

    - When generating password-reset emails, Django now sends to the email
      address retrieved from the database, rather than the email address
      submitted in the password-reset request form.

    For more information, please see:
    <https://www.djangoproject.com/weblog/2019/dec/18/security-releases/>.

 -- Chris Lamb <lamby@debian.org>  Wed, 18 Dec 2019 16:30:55 +0000

python-django (1.7.11-1+deb8u7) jessie-security; urgency=high

  * Backport two security patches from upstream. (Closes: #934026)
    <https://www.djangoproject.com/weblog/2019/aug/01/security-releases/>

    - CVE-2019-14232: Prevent a possible denial-of-service in
      django.utils.text.Truncator.

      If django.utils.text.Truncator's chars() and words() methods were passed
      the html=True argument, they were extremely slow to evaluate certain inputs
      due to a catastrophic backtracking vulnerability in a regular expression.
      The chars() and words() methods are used to implement the
      truncatechars_html and truncatewords_html template filters, which were thus
      vulnerable.

      The regular expressions used by Truncator have been simplified in order to
      avoid potential backtracking issues. As a consequence, trailing punctuation
      may now at times be included in the truncated output.

    - CVE-2019-14233: Prevent a possible denial-of-service in strip_tags().

      Due to the behavior of the underlying HTMLParser,
      django.utils.html.strip_tags() would be extremely slow to evaluate
      certain inputs containing large sequences of nested incomplete HTML
      entities. The strip_tags() method is used to implement the corresponding
      striptags template filter, which was thus also vulnerable.

      strip_tags() now avoids recursive calls to HTMLParser when progress
      removing tags, but necessarily incomplete HTML entities, stops being made.

      Remember that absolutely NO guarantee is provided about the results of
      strip_tags() being HTML safe. So NEVER mark safe the result of a
      strip_tags() call without escaping it first, for example with
      django.utils.html.escape().

  * Correct a previous changelog entry to refer to CVE-2019-12781, not
    CVE-2019-12308.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Aug 2019 10:34:56 +0100

python-django (1.7.11-1+deb8u6) jessie-security; urgency=high

  * CVE-2019-12781: Incorrect HTTP detection with reverse-proxies connecting
    via HTTPS. (Closes: #931316)

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Jul 2019 17:22:02 -0300

python-django (1.7.11-1+deb8u5) jessie-security; urgency=high

  * CVE-2019-12308: Prevent a XSS vulnerability in the Django admin via the
    AdminURLFieldWidget. (Closes: #929927)

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Jun 2019 09:48:54 +0100

python-django (1.7.11-1+deb8u4) jessie-security; urgency=high

  * CVE-2019-3498: Prevent a content-spoofing vulnerability in the default
    404 page. (Closes: #918230)

 -- Chris Lamb <lamby@debian.org>  Sun, 06 Jan 2019 19:39:37 +0100

python-django (1.7.11-1+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2018-7536: Denial-of-service possibility in ``urlize`` and
    ``urlizetrunc`` template filters
  * Fix CVE-2018-7537: Denial-of-service possibility in ``truncatechars_html``
    and ``truncatewords_html`` template filters


