=== debian/control ===
Source: python-django
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luke Faraone <lfaraone@debian.org>,
 Raphaël Hertzog <hertzog@debian.org>,
 Brian May <bam@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx (>= 1.0.8), locales (>= 0),
# Needed to enable supplementary tests in test suite
 python-bcrypt, python3-bcrypt,
 python-docutils, python3-docutils,
 python-mock, python3-mock,
 python-numpy, python3-numpy,
 python-pil, python3-pil,
 python-yaml, python3-yaml,
 python-tz, python3-tz,
 python-setuptools, python3-setuptools,
# python-memcache, python3-memcache, memcached, # we can't rely on running daemon
 python-sqlparse, python3-sqlparse,
# python-selenium in theory too... but it's not properly packaged
Build-Depends-Indep: libjs-jquery
Homepage: http://www.djangoproject.com/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-django.git
X-Python-Version: >= 2.7

Package: python-django
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django-common (= ${binary:Version})
Recommends: libjs-jquery, python-sqlparse, python-tz
Suggests: python-psycopg2, python-mysqldb, python-flup, python-sqlite, python-memcache, python-pil, python-bcrypt, python-yaml, geoip-database-extra | geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
Description: High-level Python web development framework (Python 2 version)
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 Notable features include:
  * An object-relational mapper (ORM)
  * Automatic admin interface
  * Elegant URL dispatcher
  * Form serialization and validation system
  * Templating system
  * Lightweight, standalone web server for development and testing
  * Internationalization support
  * Testing framework and client
 .
 This package is built for Python 2.

Package: python3-django
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python-django-common (= ${binary:Version})
Recommends: libjs-jquery, python3-sqlparse, python3-tz
Suggests: python3-psycopg2, python3-mysqldb, python3-flup, python3-sqlite, python3-memcache, python3-pil, python3-bcrypt, python3-yaml, geoip-database-contrib, gettext, python-django-doc, ipython3, bpython3, libgdal1
Description: High-level Python web development framework (Python 3 version)
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 Notable features include:
  * An object-relational mapper (ORM)
  * Automatic admin interface
  * Elegant URL dispatcher
  * Form serialization and validation system
  * Templating system
  * Lightweight, standalone web server for development and testing
  * Internationalization support
  * Testing framework and client
 .
 This package is built for Python 3.

Package: python-django-common
Architecture: all
Depends: ${misc:Depends}
Recommends: libjs-jquery
Breaks: python-django (<< 1.7~)
Replaces: python-django (<< 1.7~)
Description: High-level Python web development framework (common)
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 This package contains files common to both Python 2.7 and Python 3.

Package: python-django-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: High-level Python web development framework (documentation)
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 This package contains the HTML documentation and example projects.
