## python-django 1.8.7

=== debian/changelog ===
python-django (1.8.7-1ubuntu5) xenial; urgency=medium

  * Backport b1afebf882db5296cd9dcea26ee66d5250922e53 for ticket 26204 from
    upstream (1.8.10) to allow dashes in TLDs again (in the URL validator.)
    LP: #1528710

 -- LaMont Jones <lamont@canonical.com>  Mon, 11 Apr 2016 17:30:48 -0600

python-django (1.8.7-1ubuntu4) xenial; urgency=medium

  * SECURITY REGRESSION: is_safe_url() with non-unicode url (LP: #1553251)
    - debian/patches/CVE-2016-2512-regression.patch: updated to final
      upstream fix.
    - CVE-2016-2512

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 07 Mar 2016 08:43:38 -0500

python-django (1.8.7-1ubuntu3) xenial; urgency=medium

  * SECURITY REGRESSION: is_safe_url() with non-unicode url (LP: #1553251)
    - debian/patches/CVE-2016-2512-regression.patch: force url to unicode
      in django/utils/http.py, added test to
      tests/utils_tests/test_http.py.
    - CVE-2016-2512

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 04 Mar 2016 11:03:43 -0500

python-django (1.8.7-1ubuntu2) xenial; urgency=medium

  * SECURITY UPDATE: malicious redirect and possible XSS attack via
    user-supplied redirect URLs containing basic auth
    - debian/patches/CVE-2016-2512.patch: prevent spoofing in
      django/utils/http.py, added test to tests/utils_tests/test_http.py.
    - CVE-2016-2512
  * SECURITY UPDATE: user enumeration through timing difference on password
    hasher work factor upgrade
    - debian/patches/CVE-2016-2513.patch: fix timing in
      django/contrib/auth/hashers.py, added note to
      docs/topics/auth/passwords.txt, added tests to
      tests/auth_tests/test_hashers.py.
    - CVE-2016-2513

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Feb 2016 10:02:48 -0500

python-django (1.8.7-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.
  * Dropped changes:
    - debian/patches/99_skip_tests_due_python35.diff: no longer required, 
      python 3.5 is now officially supported in 1.8.6+.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 Nov 2015 07:08:03 -0500

python-django (1.8.7-1) unstable; urgency=high

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/nov/24/security-releases-issued/
    It fixes:
    - CVE-2015-8213: settings leak possibility in date template filter

 -- Luke Faraone <lfaraone@debian.org>  Wed, 25 Nov 2015 04:24:27 +0000

python-django (1.8.6-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 15 Nov 2015 18:29:11 +0100

python-django (1.8.5-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.
  * Drop 99_fix_multipart_base64_decoding_large_files.patch: This patch
    has been merged upstream.
  * Drop CVE-2015-596x.patch: Merged upstream.
  * Drop 0004-Added-a-dummy-class-for-HTMLParserError.patch: This patch
    originally came from upstream. It is part of 1.8.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 10 Nov 2015 17:45:37 +0000

python-django (1.8.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 02 Nov 2015 15:56:10 +0100

python-django (1.8.5-1) experimental; urgency=medium

  * New upstream bugfix release:
    https://www.djangoproject.com/weblog/2015/oct/03/bugfix-release-issued/

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 13 Oct 2015 11:37:24 +0200

python-django (1.8.4-1) experimental; urgency=medium

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/aug/18/security-releases/
    It fixes:
    - CVE-2015-5964: possible denial-of-service in logout() view
  * Update debian/copyright to copyright-format 1.0.

 -- Luke Faraone <lfaraone@debian.org>  Wed, 19 Aug 2015 03:55:47 +0000

python-django (1.8.3-1) experimental; urgency=medium

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/jul/08/security-releases/
    It fixes:
    - CVE-2015-5143: possible denial-of-service by filling session store
    - CVE-2015-5144: possible header injection since validators accept
      newlines in input
    - CVE-2015-5145: possible denial-of-service in URL validation
  * Drop fix-assertRaisesMessage.patch and
    fix-test-extended-length-storage.patch which have been merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 09 Jul 2015 01:53:02 +0200

python-django (1.8.2-1) experimental; urgency=medium

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/may/20/security-release/
  * Install bash completion file into /usr/share/bash-completion/completions/

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 21 May 2015 15:59:36 +0200

python-django (1.8.1-1) experimental; urgency=medium

  * New major upstream release:
    https://docs.djangoproject.com/en/1.8/releases/1.8/
    https://docs.djangoproject.com/en/1.8/releases/1.8.1/
  * Refresh all patches.
  * Drop 03_manpage.diff, merged upstream.
  * Clean up rules since we can use the pristine docs directory, now
    that they refer to django-admin and not django-admin.py
  * Add jinja2 and mock as build dependencies required by the test
    suite.
  * Add fix-assertRaisesMessage.patch to make the package build with
    python 2.7.10~rc1 which is affected by
    https://bugs.python.org/issue24134
  * Add fix-test-extended-length-storage.patch to make the package build
    even when AUFS is in use (and when the max length of a filename is
    shorter than usual).

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 20 May 2015 09:54:47 +0200

python-django (1.7.10-1) unstable; urgency=medium


