## python-django 1.8.14

=== debian/changelog ===
python-django (1.8.14-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream security release.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 21 Jul 2016 09:04:57 +0200

python-django (1.8.13-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream bugfix release.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 12 May 2016 10:28:30 +0200

python-django (1.8.12-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream bugfix release.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 04 Apr 2016 13:53:21 +0200

python-django (1.8.11-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream release of Django 1.8.x (LTS version) fixing
    security issues CVE-2016-2513 and CVE-2016-2512.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 08 Mar 2016 17:51:47 +0100

python-django (1.8.9-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream release of Django 1.8.x (LTS version).

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 02 Feb 2016 09:52:08 +0100

python-django (1.8.8-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream release of Django 1.8.x (LTS version).
  * Add some DEP-8 tests testing "django-admin" and running the test suite
    against the installed package. In both cases, we do it with python2 and
    python3.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 05 Jan 2016 10:57:29 +0100

python-django (1.8.7-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports. Django 1.8 is an LTS version that I'd like
    to maintain in jessie-backports (even though Django 1.9 is on its way to
    testing).

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 09 Dec 2015 22:18:48 +0100

python-django (1.8.7-2) unstable; urgency=high

  * Rely on C.UTF-8 to run the tests instead of building our locale ourselves.
  * Add debian/patches/fix-25761-add-traceback-attribute.patch:
    new patch to ensure exceptions registered in __cause__ attributes
    have a __traceback__ attribute. Closes: #802677
  * Extend lintian overrides to cover more false positives of
    source-is-missing.
  * Cleanup debian/copyright for dropped/renamed files.
  * Run tests for all supported Python versions.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Nov 2015 16:16:10 +0100
