=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 # Needed to enable supplementary tests in test suite
  python-bcrypt, python3-bcrypt,
  python-docutils, python3-docutils,
+ python-jinja2, python3-jinja2,
  python-mock, python3-mock,
  python-numpy, python3-numpy,
  python-pil, python3-pil,
