=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx (>= 1.0.8), locales (>= 0),
+Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx (>= 1.3), locales (>= 0),
 # Needed to enable supplementary tests in test suite
  python-bcrypt, python3-bcrypt,
  python-docutils, python3-docutils,
