## python-django 1.9.7

=== debian/changelog ===
python-django (1.9.7-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * New upstream bugfix release.
  * Bump python-sphinx build dependency to >= 1.3. Closes: #824108
  * Drop build dependency on locales. C.UTF-8 that we currently use is part of
    libc-bin.

  [ Chris Lamb ]
  * Remove duplicated "of of" in python-django's README.Debian.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 14 Jun 2016 00:05:22 +0200

python-django (1.9.6-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Chris Lamb <lamby@debian.org>  Sat, 07 May 2016 07:01:17 +0100

python-django (1.9.5-2) unstable; urgency=medium

  * Drop the dir_to_symlink transition that was only really needed
    for upgrades between versions 1.9~rc2 and 1.9.4. Closes: #821789

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 20 Apr 2016 17:47:05 +0200

python-django (1.9.5-1) unstable; urgency=medium

  * New upstream bugfix release:
    https://docs.djangoproject.com/en/1.9/releases/1.9.5/
  * Fix the DEP-8 test suite (django-admin --with python3 failing
    because ./manage.py does not have a good shebang).
  * Update Standards-Version to 3.9.8.
  * Add some lintian overrides.
  * Tweak Vcs-Browser to use https.
  * Drop obsolete parts of the copyright file.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 06 Apr 2016 18:05:42 +0200

python-django (1.9.4-1) unstable; urgency=high

  [ Luke Faraone ]
  * New upstream security release:
    https://www.djangoproject.com/weblog/2016/mar/01/security-releases/ 
    - CVE-2016-2512: Malicious redirect and possible XSS via user-supplied
      redirect URLs containing basic auth
    - CVE-2016-2513: User enumeration through timing difference on password
      hasher work factor upgrade
      Closes: #816434

  [ Raphaël Hertzog ]
  * Fix rules file to no longer mess with *_templates directories. They no
    longer contain invalid .py files but only *-tpl template files that are
    instantiated at runtime.

 -- Luke Faraone <lfaraone@debian.org>  Mon, 07 Mar 2016 17:09:54 +0000

python-django (1.9.2-1) unstable; urgency=medium

  * New upstream security release fixing:
    - CVE-2016-2048: User with "change" but not "add" permission can create
      objects for ModelAdmin objects with save_as=True
      Closes: #813448

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 02 Feb 2016 09:06:46 +0100

python-django (1.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 04 Jan 2016 17:51:40 +0000

python-django (1.9-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Use dpkg-maintscript-helper's dir_to_symlink to correctly replace the
    app_template and project_template symlinks added in 1.9~rc2-2.
    (Closes: #807683)

  [ Raphaël Hertzog ]
  * Add some DEP-8 tests testing "django-admin" and running the test suite
    against the installed package. In both cases, we do it with python2 and
    python3.
  * Add python-tblib and python3-tblib to Build-Depends for the benefit of
    the parallel testing feature of the test suite.
  * Add "set -e" in the command line running the tests with all supported
    versions so that it actually fails as soon as one version is failing
    (and thus disallow later successes to shadow earlier failures).

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 30 Dec 2015 16:44:04 +0100

python-django (1.9-1) unstable; urgency=medium

  * Upload to unstable
  * Adjust uversionmangle in debian/watch to mangle "1.9rc2" scheme
    (previously only "1.9-rc-2" would have matched).

 -- Chris Lamb <lamby@debian.org>  Thu, 03 Dec 2015 16:48:30 +0200

python-django (1.9~rc2-2) experimental; urgency=medium

  * Move {app,project}_template to python-django-common to prevent
    byte-compilation (via pycompile) on installation, causing failure. They are
    not valid Python files until variables have been interpolated.

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Nov 2015 14:53:11 +0200

python-django (1.9~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Add myself to Uploaders.

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Nov 2015 10:14:15 +0200
