=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd tests && for python in $$(pyversions -s) $$(py3versions -s); do \
+	set -e; cd tests && for python in $$(pyversions -s) $$(py3versions -s); do \
 	    	echo "——— Running tests with $$python ———"; \
 		LC_ALL=C.UTF-8 PYTHONPATH=.. $$python ./runtests.py --verbosity=2; \
 	done
