## python-django 1.10.7

=== debian/changelog ===
python-django (1:1.10.7-2+deb9u27) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS security team. (Closes: #1116979)
  * CVE-2025-59681: Fix a potential SQL injection in QuerySet.annotate(),
    alias(), aggregate() and extra(). These methods were subject to SQL
    injection in column aliases, using a suitably crafted dictionary via
    dictionary expansion as the **kwargs passed to these methods on MySQL
    and MariaDB.
  * CVE-2025-59682: Fix a potential partial directory-traversal vulnerability
    in archive.extract(). This function, used by startapp --template and
    startproject --template, allowed partial directory-traversal via an archive
    with file paths sharing a common prefix with the target directory.

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Oct 2025 13:25:50 -0700

python-django (1:1.10.7-2+deb9u26) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS security team.
  * CVE-2025-32873: Prevent an issue where the strip_tags() function in
    django.utils.html was vulnerable to a potential denial-of-service (DoS)
    attack when processing inputs containing large sequences of incomplete HTML
    tags. The template filter striptags was also vulnerable, as it is built on
    top of strip_tags(). (Closes: #1104872)

 -- Chris Lamb <lamby@debian.org>  Fri, 13 Jun 2025 11:14:53 -0700

python-django (1:1.10.7-2+deb9u25) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS security team.
  * CVE-2025-26699: Prevent a potential denial-of-service in the wrap()
    method of the django.utils.text module. This method (and the wordwrap
    template filter) were subject to a potential DoS attack when used with very
    long strings. (Closes: #1099682)
  * Fix compatibility with CVE-2024-11168 and CVE-2025-0938 after the upload of
    python2.7 version 2.7.13-2+deb9u10.
  * Autopkgtest changes:
    - Ensure that the Python 3.x version of manage.py-pl is executable; required for the autopkgtests:
    - Adjust the autopkgtest definitions in order to request that this package
      (ie. python-django) is tested when python2.7 or python3.5 is updated
    - Permit autopkgtests to print to stderr. This is required on stretch due
      to libeatmydata.so emitting a (harmless) warning error.
  * Allow reprotest and armhf build failures in the Salsa CI.

 -- Chris Lamb <lamby@debian.org>  Wed, 26 Mar 2025 11:44:43 +0000

python-django (1:1.10.7-2+deb9u24) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS security team.
  * CVE-2024-53907: Prevent a potential Denial of Service (DoS) attack. The
    strip_tags method and striptags template filter were subject to a
    potential denial-of-service attack via certain inputs containing large
    sequences of nested incomplete HTML entities.
  * CVE-2024-56374: Prevent another potential Denial of Service (DoS) attack.
    Lack of upper-bound limit enforcement in strings passed when performing
    IPv6 validation could have led to a potential denial-of-service attack.
    The clean_ipv6_address and is_valid_ipv6_address functions were vulnerable
    as was the GenericIPAddressField form field. The GenericIPAddressField
    model field was not affected. (Closes: #1093049)

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Jan 2025 10:55:57 +0000

python-django (1:1.10.7-2+deb9u23) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS security team.
  * CVE-2024-41989: The floatformat template filter was subject to
    significant memory consumption when given a string representation of a
    number in scientific notation with a large exponent. (Closes: #1078074)

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Aug 2024 13:40:56 +0100

python-django (1:1.10.7-2+deb9u22) stretch-security; urgency=high

  [ Chris Lamb ]
  * Non-maintainer upload by the Debian ELTS team.
  * Update tests now that urllib.parse in python3-six has been changed to strip
    ASCII newlines and tabs.
  * CVE-2023-36053: Prevent a potential regular expression denial of service
    (DoS) vulnerability in EmailValidator and URLValidator. EmailValidator and
    URLValidator were subject to potential regular expression denial of service
    attack via a very large number of domain name labels of emails and URLs.
    (Closes: #1040225)

  [ Daniel Leidert ]
  * CVE-2023-43665: Fix a DoS vulnuerability in django.utils.text.Truncator.
    Following the fix for CVE-2019-14232, the regular expressions used in the
    implementation of django.utils.text.Truncator’s chars() and words() methods
    were revised and improved. However, these regular expressions still
    exhibited linear backtracking complexity, so when given a very long,
    potentially malformed HTML input, the evaluation would still be slow,
    leading to a potential denial of service vulnerability. (Closes: #1053475)
  * CVE-2024-24680: Prevent a potential DoS in the intcomma template filter.
    The intcomma template filter was subject to a potential denial-of-service
    attack when used with very long strings.

 -- Chris Lamb <lamby@debian.org>  Wed, 29 May 2024 09:46:29 +0100

python-django (1:1.10.7-2+deb9u21) stretch-security; urgency=high

  * CVE-2023-41164: Potential denial of service vulnerability in
    django.utils.encoding.uri_to_iri(). This method was subject to potential
    denial of service attack via certain inputs with a very large number of
    Unicode characters. (Closes: #1051226)

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Sep 2023 13:25:17 -0700

python-django (1:1.10.7-2+deb9u20) stretch-security; urgency=high

  * CVE-2021-45115: Denial-of-service possibility in the
    UserAttributeSimilarityValidator class.

    UserAttributeSimilarityValidator incurred significant overhead evaluating
    submitted password that were artificially large in relative to the
    comparison values. On the assumption that access to user registration was
    unrestricted this provided a potential vector for a denial-of-service

