=== debian/control ===
--- 
+++ 
@@ -2,35 +2,73 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Luke Faraone <lfaraone@debian.org>,
+Uploaders:
+ Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
- Brian May <bam@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx (>= 1.3), locales (>= 0),
-# Needed to enable supplementary tests in test suite
- python-bcrypt, python3-bcrypt,
- python-docutils, python3-docutils,
- python-jinja2, python3-jinja2,
- python-mock, python3-mock,
- python-numpy, python3-numpy,
- python-pil, python3-pil,
- python-yaml, python3-yaml,
- python-tz, python3-tz,
- python-setuptools, python3-setuptools,
-# python-memcache, python3-memcache, memcached, # we can't rely on running daemon
- python-sqlparse, python3-sqlparse,
-# python-selenium in theory too... but it's not properly packaged
+ Brian May <bam@debian.org>,
+ Chris Lamb <lamby@debian.org>
+Standards-Version: 3.9.8
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ python-all (>= 2.6.6-3~),
+ python-bcrypt,
+ python-docutils,
+ python-ipaddress,
+ python-jinja2,
+ python-mock,
+ python-numpy,
+ python-pathlib,
+ python-pil,
+ python-setuptools,
+ python-sphinx (>= 1.3),
+ python-sqlparse,
+ python-tblib,
+ python-tz,
+ python-yaml,
+ python3-all,
+ python3-bcrypt,
+ python3-docutils,
+ python3-jinja2,
+ python3-mock,
+ python3-numpy,
+ python3-pil,
+ python3-setuptools,
+ python3-sqlparse,
+ python3-tblib,
+ python3-tz,
+ python3-yaml
 Build-Depends-Indep: libjs-jquery
 Homepage: http://www.djangoproject.com/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-django.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django.git
 X-Python-Version: >= 2.7
 
 Package: python-django
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-django-common (= ${binary:Version})
+Pre-Depends: dpkg (>= 1.17.14)
+Depends:
+ python-django-common (= ${binary:Version}),
+ python-ipaddress,
+ python-pathlib,
+ ${misc:Depends},
+ ${python:Depends}
 Recommends: libjs-jquery, python-sqlparse, python-tz
-Suggests: python-psycopg2, python-mysqldb, python-flup, python-sqlite, python-memcache, python-pil, python-bcrypt, python-yaml, geoip-database-extra | geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
+Suggests:
+ bpython,
+ geoip-database-extra | geoip-database-contrib,
+ gettext,
+ ipython,
+ libgdal1,
+ python-bcrypt,
+ python-django-doc,
+ python-flup,
+ python-memcache,
+ python-mysqldb,
+ python-pil,
+ python-psycopg2,
+ python-sqlite,
+ python-yaml
 Description: High-level Python web development framework (Python 2 version)
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.
@@ -57,9 +95,27 @@
 
 Package: python3-django
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python-django-common (= ${binary:Version})
+Depends:
+ python-django-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends}
+Pre-Depends: dpkg (>= 1.17.14)
 Recommends: libjs-jquery, python3-sqlparse, python3-tz
-Suggests: python3-psycopg2, python3-mysqldb, python3-flup, python3-sqlite, python3-memcache, python3-pil, python3-bcrypt, python3-yaml, geoip-database-contrib, gettext, python-django-doc, ipython3, bpython3, libgdal1
+Suggests:
+ bpython3,
+ geoip-database-contrib,
+ gettext,
+ ipython3,
+ libgdal1,
+ python-django-doc,
+ python3-bcrypt,
+ python3-flup,
+ python3-memcache,
+ python3-mysqldb,
+ python3-pil,
+ python3-psycopg2,
+ python3-sqlite,
+ python3-yaml
 Description: High-level Python web development framework (Python 3 version)
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.
