=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 PREFIX = debian/python-django
 PREFIX3 = debian/python3-django
 PREFIXC = debian/python-django-common
+
+MANAGE_PY_TPL = django/conf/project_template/manage.py-tpl
 
 %:
 	dh $@ --with sphinxdoc,python2,python3 --buildsystem=pybuild
@@ -33,10 +35,10 @@
 	dh_auto_install
 
 	# Drop extra license files
-	find $(PREFIX) -name LICENSE -o -name license.txt -o -name license.python.txt | \
-	    xargs --no-run-if-empty rm
-	find $(PREFIX3) -name LICENSE -o -name license.txt -o -name license.python.txt | \
-	    xargs --no-run-if-empty rm
+	find $(PREFIX) -name LICENSE -o -name license.txt -o -name license.python.txt \
+	    -o -name LICENSE.txt | xargs --no-run-if-empty rm
+	find $(PREFIX3) -name LICENSE -o -name license.txt -o -name license.python.txt \
+	    -o -name LICENSE.txt | xargs --no-run-if-empty rm
 
 	# Drop django-admin{,.py} which is in python-django-common and
 	# clean up empty parent directories
@@ -80,6 +82,13 @@
 		    ln -sf /usr/share/python-django-common/$$relname debian/python-django/usr/lib/python2.7/dist-packages/$$relname; \
 		fi \
 	done)
+	
+	# Ensure that "django-admin startproject foo" using python3-django
+	# emits the corrent shebang (#833275)
+	rm $(PREFIX3)/usr/lib/python3/dist-packages/$(MANAGE_PY_TPL)
+	sed -e '1s/python$$/python3/' $(PREFIXC)/usr/share/python-django-common/$(MANAGE_PY_TPL) > \
+		$(PREFIX3)/usr/lib/python3/dist-packages/$(MANAGE_PY_TPL)
+	chmod +x $(PREFIX3)/usr/lib/python3/dist-packages/$(MANAGE_PY_TPL)
 
 override_dh_compress:
 	dh_compress -X.js -Xobjects.inv
