=== debian/tests/control ===
Test-Command: debian/tests/django-admin --with python2
Depends: python-django
Restrictions: allow-stderr

Test-Command: debian/tests/django-admin --with python3
Depends: python3-django
Restrictions: allow-stderr

Test-Command: debian/tests/test-suite python2 python3
Restrictions: allow-stderr, needs-recommends
Depends: @, @builddeps@

Features: test-name=hint-testsuite-triggers
Test-Command: /bin/true
Depends:
  python2.7,
  python3.5
Restrictions: hint-testsuite-triggers
